import './data-table.css';
import { StatsDatasource } from '../../datasources/stats-datasource';
import { Insight } from '@csnext/cs-data';
import { WidgetBase } from '@csnext/cs-client';
export declare class DataTable extends WidgetBase {
    data: StatsDatasource;
    insights: Insight[] | null;
    search: string;
    searchSelection: any;
    searchResult: any[];
    fullscreen: boolean;
    tableHeaders: any[];
    tableProperties: string[];
    get source(): StatsDatasource | undefined;
    downloadPackage(): void;
    tableOpenFeature(f: any): void;
    toggleTableSize(): void;
    updateTableHeaders(): void;
    searchSelectionChanged(value: any): void;
    doSearch(val: string): void;
    contentLoaded(): void;
}
